Update a ensemble role
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Ensemble role id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidensemble
_id References ensembles.id.
- Type: string | nullname
- Type: number | nullorder
- Type: string | nullFormat: uuidrole
_id References roles.id.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/ensemble-roles/{id}
curl https://api.hireorpheus.com/api/v1/ensemble-roles/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": null,
"ensemble_id": null,
"role_id": null,
"order": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"ensemble_id": null,
"role_id": null,
"order": null,
"created_time": "2026-10-14T08:02:53.594Z",
"last_edited_time": "2026-10-14T08:02:53.594Z"
}
}